Date.prototype.toFormattedString = function(include_time) {
  var str = Date.padded2(this.getDate()) + '-' + Date.padded2(this.getMonth() + 1) + '-' + this.getFullYear();
 
  if (include_time) {
    str += " " + this.getHours() + ":" + this.getPaddedMinutes();
  }
 
  return str;
};

Date.parseFormattedString = function(string) {
  var regexp = "([0-9]{2})-([0-9]{2})-([0-9]{4}) (([0-9]{1,2}):([0-9]{2}))?";
  var d = string.match(new RegExp(regexp, "i"));
  var date = new Date();
  //date.setDate(1);
  
  if (d  != null) {
    if (d[1]) {
      date.setDate(d[1]);
    }
  
    if (d[2]) {
      date.setMonth(d[2]);
    }

    if (d[3]) {
      date.setYear(d[3]);
    }
  
    if (d[5]) {
      date.setHours(d[5]);
    }

    if (d[6]) {
      date.setMinutes(d[6]);
    }
  }

  return date;
};
